# Uses of Class
com.sun.grid.util.expect.Expect

Packages that use Expect
Package
Description
com.sun.grid.ca
This provides a java binding to the gridengine CA infrastructure
com.sun.grid.util.expect
This package contains classes for handling stdout, stderr and stin of a process (similar to tcl expect).

## Uses of Expect in com.sun.grid.ca

Methods in com.sun.grid.ca that return Expect
Modifier and Type
Method
Description
`protected Expect`
GridCAImpl.`createProcess()`
Methods in com.sun.grid.ca with parameters of type Expect
Modifier and Type
Method
Description
`protected void`
GridCAImpl.`execute(Expect pb)`
`protected void`
GridCAImpl.`execute(Expect pb, boolean setLock)`

## Uses of Expect in com.sun.grid.util.expect

Methods in com.sun.grid.util.expect with parameters of type Expect
Modifier and Type
Method
Description
`void`
ExpectHandler.`handle(Expect expect, ExpectBuffer buffer)`
Handle new output of the process and be send a reply.
`void`
ExpectPasswordHandler.`handle(Expect expect, ExpectBuffer buffer)`
`void`
ExpectStringHandler.`handle(Expect expect, ExpectBuffer buffer)`